# Class UnavailableCharacterException

Object
Throwable
Exception
RuntimeException
nu.xom.XMLException
nu.xom.UnavailableCharacterException

All Implemented Interfaces:
  `Serializable`

public class UnavailableCharacterException extends XMLException

Thrown when serializing documents that contain characters not available in the current encoding, and which cannot be escaped (for instance, because they're in an element name or processing instruction data). This can never happen if the encoding is UTF-8 or UTF-16.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnavailableCharacterException(char character, String encoding)`
Creates a new `UnavailableCharacterException`.

## Method Summary

Modifier and Type
Method
Description
`char`
`getCharacter()`
Returns the character which could not be written in the current encoding.
`String`
`getEncoding()`
Returns the encoding that does not support the character.

### Methods inherited from class XMLException

`getCause, initCause`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnavailableCharacterException

public UnavailableCharacterException(char character, String encoding)

Creates a new `UnavailableCharacterException`.

Parameters:
  `character` - the character which caused the exception
  `encoding` - the encoding which does not contain the character

## Method Details

### getCharacter

public char getCharacter()

Returns the character which could not be written in the current encoding.

Returns:
  the character which caused the exception

### getEncoding

public String getEncoding()

Returns the encoding that does not support the character.

Returns:
  the encoding used by the serializer when the exception was thrown